# Type Alias AggregationOptions

type AggregationOptions = {
aggregate: string;
field?: string;
orderBy?: string;
ref?: string;
rename_to?: string;
subselect?: SubselectOptions;
table: string;
through?: string;
valueFormula?: string;
where?: Where;
}

- Defined in internal.ts:753

##### Index

### Properties

aggregate
field?
orderBy?
ref?
rename_to?
subselect?
table
through?
valueFormula?
where?

## Properties

### aggregate

aggregate: string

- Defined in internal.ts:759

### `Optional` field

field?: string

- Defined in internal.ts:756

### `Optional` orderBy

orderBy?: string

- Defined in internal.ts:762

### `Optional` ref

ref?: string

- Defined in internal.ts:755

### `Optional` rename_to

rename_to?: string

- Defined in internal.ts:763

### `Optional` subselect

subselect?: SubselectOptions

- Defined in internal.ts:760

### table

table: string

- Defined in internal.ts:754

### `Optional` through

through?: string

- Defined in internal.ts:761

### `Optional` valueFormula

valueFormula?: string

- Defined in internal.ts:757

### `Optional` where

where?: Where

- Defined in internal.ts:758